Last Comment Bug 524022 - Fix "Warning: package error or possible missing or unnecessary file: bin/components/proxyObjInst.xpt (packages, 203)"
: Fix "Warning: package error or possible missing or unnecessary file: bin/comp...
Status: VERIFIED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 514665
  Show dependency treegraph
 
Reported: 2009-10-22 19:44 PDT by Serge Gautherie (:sgautherie)
Modified: 2009-10-23 18:16 PDT (History)
0 users
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Package the right file (1.79 KB, patch)
2009-10-22 19:54 PDT, Serge Gautherie (:sgautherie)
kairo: review-
kairo: approval‑seamonkey2.0.1-
Details | Diff | Splinter Review
(Av2) Package the right file [Checkin: Comment 4] (1.73 KB, patch)
2009-10-23 14:28 PDT, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-10-22 19:44:17 PDT
m-c fix in bug 514665 resolved this case in the opposite way than the others.
c-c fix(es) in bug 514665 didn't notice and fixed it the wrong (= same as the others) way :-(
Comment 1 Serge Gautherie (:sgautherie) 2009-10-22 19:54:03 PDT
Created attachment 407932 [details] [diff] [review]
(Av1) Package the right file

This doesn't affect SM 2.0 packaging result, but I prefer to fix the code anyway.
Just apply the same patch to trunk and branch for now.
Comment 2 Robert Kaiser 2009-10-23 05:33:01 PDT
Comment on attachment 407932 [details] [diff] [review]
(Av1) Package the right file

1) As long as nothing is really broken there, don't touch comm-1.9.1

2) Don't introduce any new MOZILLA_1_9_1_BRANCH anywhere, we don't need those any more after being branched (if it needs branch landing, do different trunk and branch patches)
Comment 3 Serge Gautherie (:sgautherie) 2009-10-23 14:28:52 PDT
Created attachment 408110 [details] [diff] [review]
(Av2) Package the right file
[Checkin: Comment 4]

Av1, with comment 2 suggestion(s).
Comment 4 Serge Gautherie (:sgautherie) 2009-10-23 15:36:13 PDT
Comment on attachment 408110 [details] [diff] [review]
(Av2) Package the right file
[Checkin: Comment 4]


http://hg.mozilla.org/comm-central/rev/c183fee9b77a
Comment 5 Serge Gautherie (:sgautherie) 2009-10-23 18:16:39 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1256337993.1256340550.28842.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2009/10/23 15:46:33

V.Fixed.

Note You need to log in before you can comment on or make changes to this bug.